Skip to main content
GET
/
consensus_params
consensus_params
curl --request GET \
  --url https://rpc.cosmos.directory/cosmoshub/consensus_params
import requests

url = "https://rpc.cosmos.directory/cosmoshub/consensus_params"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://rpc.cosmos.directory/cosmoshub/consensus_params', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "jsonrpc": "2.0",
  "id": 0,
  "result": {
    "block_height": "1",
    "consensus_params": {
      "block": {
        "max_bytes": "22020096",
        "max_gas": "1000",
        "time_iota_ms": "1000"
      },
      "evidence": {
        "max_age": "100000"
      },
      "validator": {
        "pub_key_types": [
          "ed25519"
        ]
      }
    }
  }
}
{
  "id": 0,
  "jsonrpc": "2.0",
  "error": "Description of failure"
}

Query Parameters

height
integer
default:0

height to return. If no height is provided, it will fetch commit informations regarding the latest block.

Example:

1

Response

consensus parameters results.

jsonrpc
string
required
Example:

"2.0"

id
integer
required
Example:

0

result
object
required